cluster: RHEL6 - Cman: test that corosync is not already running

Fabio M. Di Nitto fabbione at fedoraproject.org
Wed Jan 12 15:23:21 UTC 2011


Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=b6c1fb8865b2b68cec3296ec182598f8c8c89cc8
Commit:        b6c1fb8865b2b68cec3296ec182598f8c8c89cc8
Parent:        296cc43ca8edc150bcf0961469d6903c9b9136f6
Author:        Jan Friesse <jfriesse at redhat.com>
AuthorDate:    Mon Sep 27 15:23:49 2010 +0200
Committer:     Fabio M. Di Nitto <fdinitto at redhat.com>
CommitterDate: Wed Jan 12 16:18:46 2011 +0100

Cman: test that corosync is not already running

Patch fixes init file so now before cman start is tested, if corosync is
running. If so, init script will refuse to start.

Resolves: rhbz#617234
---
 cman/init.d/cman.in |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index e8eba61..a6545aa 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -461,11 +461,25 @@ stop_configfs()
 	fi
 }
 
+corosync_running()
+{
+	[ -f /var/run/corosync.pid ] || return 1
+
+	read corosync_pid foo < /var/run/corosync.pid
+	if [ "$(pidof corosync)" == "$corosync_pid" ];then
+		errmsg="Corosync Cluster Engine is already running"
+		return 0
+	fi
+
+	return 1
+}
+
 start_cman()
 {
 	check_exec cman_tool || return $?
 	cman_running && return 0
 	cman_checkconfig || return 1
+	corosync_running && return 1
 
 	tmpfile=$(mktemp -t cmanstartup.XXXXXXXXXX)
 	if [ -z "$tmpfile" ]; then


More information about the cluster-commits mailing list